//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWSliderCtrl : public VWControl
		{
		public:
							VWSliderCtrl(TControlID id);
			virtual			~VWSliderCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, long lSliderSize);

		// attributes
		public:
			long			GetSliderValue() const;
			void			SetSliderValue(long value);

		};
	}
}